<div class='container-fluid mt-3'>
	<div class="row">
		<div class="col-md-6 px-0">
			<form class="form-inline  float-left "  action='search.php'>
				<input class="form-control mr-sm-2" type="search" placeholder="Type a name..." name="s" id="srch-term" required <?php echo isset($search_term) ? "value='$search_term'" : ""; ?> aria-label="Search">
			    <button class="btn btn-primary my-2 my-sm-0" type="submit"><i class="fas fa-search"></i> Search</button>
			</form>
		</div>
		<div class="col-md-6 px-0">
			<a href='create.php' class='btn btn-primary float-right'>
				<i class='fas fa-plus'></i> Create Record
			</a>
			<a href='export_csv.php' class='btn btn-info float-right mr-2'>
				<i class='fas fa-download'></i> Export CSV
			</a> 

			<button class='btn btn-danger float-right mr-2' id='delete-selected'>
				<i class='fas fa-trash'></i> Delete Selected
			</button>
		</div>
	</div>
</div>


<?php
//check if more than 0 record found
if($num>0){

    echo "<table class='table table-bordered table-hover mt-3'>";//start table

        //creating our table heading
        echo "<tr>";
			echo "<th class='text-align-center'><input type='checkbox' id='checker' /></th>";
            echo "<th>Name</th>";
            echo "<th>Description</th>";
            echo "<th>Price</th>";
			echo "<th>Category</th>";
			echo "<th>Action</th>";
        echo "</tr>";

        // retrieve our table contents
		// fetch() is faster than fetchAll()
		// http://stackoverflow.com/questions/2770630/pdofetchall-vs-pdofetch-in-a-loop
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            // extract row
            // this will make $row['firstname'] to
            // just $firstname only
            extract($row);

            //creating new table row per record
            echo "<tr>";
				echo "<td class='text-align-center'><input type='checkbox' name='item[]' class='checkboxes' value='{$id}' /></td>";
                echo "<td>{$name}</td>";
                echo "<td>{$description}</td>";
                echo "<td>&#36;" . number_format($price, 2) . "</td>";
				echo "<td>{$category_name}</td>";
				echo "<td>";

					// read one record
					echo "<a href='read_one.php?id={$id}' class='btn btn-primary'>";
						echo "<i class='fas fa-eye'></i> Read";
					echo "</a> ";

					// update record
					echo "<a href='update.php?id={$id}' class='btn btn-info'>";
						echo "<i class='fas fa-edit'></i> Edit";
					echo "</a> ";

					// delete record
					echo "<button delete-id='{$id}' class='btn btn-danger delete-object'>";
						echo "<i class='fas fa-trash'></i> Delete";
					echo "</button>";

				echo "</td>";
            echo "</tr>";
        }

	//end table
    echo "</table>";

	// needed for paging
	if($page_url=="index.php?"){
		$query = "SELECT COUNT(*) as total_rows FROM products";
		$stmt = $con->prepare($query);
	}

	// it is the search page
	else if($page_url=="search.php?s={$search_term}&"){

		$query = "SELECT COUNT(*) as total_rows
					FROM products
					WHERE name LIKE :name OR description LIKE :description";

		$stmt = $con->prepare($query);

		$search_term_for_query = "%{$search_term}%";
		$stmt->bindParam(':name', $search_term_for_query);
		$stmt->bindParam(':description', $search_term_for_query);

	}

	$stmt->execute();

	$row = $stmt->fetch(PDO::FETCH_ASSOC);
	$total_rows = $row['total_rows'];

	// paginate records
	include_once "paging.php";
}

//if no records found
else{
	echo "<div class='alert alert-danger' role='alert'>";
		echo "No records found.";
	echo "</div>";
}
?>
